com.taosdata.jdbc.tmq

## Class TMQConstants

- java.lang.Object
- - com.taosdata.jdbc.tmq.TMQConstants

    public class TMQConstants
    extends Object

### Field Summary

Fields
`static String` `AUTO_COMMIT_INTERVAL` commit interval.
`static String` `AUTO_OFFSET_RESET` only valid in first group id create.
`static String` `BOOTSTRAP_SERVERS` indicate host and port of connection
`static String` `CLIENT_ID`
`static String` `CONNECT_IP` connection ip
`static String` `CONNECT_MAX_REQUEST` the maximum number of request in a single connection.
`static String` `CONNECT_MESSAGE_TIMEOUT` message receive from server timeout.
`static String` `CONNECT_PASS` connection password
`static String` `CONNECT_PORT` connection port
`static String` `CONNECT_TIMEOUT` the timeout in milliseconds until a connection is established.
`static String` `CONNECT_TOKEN` Key used to retrieve the token value from the properties instance passed to the driver.
`static String` `CONNECT_TYPE` connect type websocket or jni, default is jni
`static String` `CONNECT_URL` Key used to retrieve the token value from the properties instance passed to the driver.
`static String` `CONNECT_USE_SSL` Use SSL (true/false) to communicate with the server.
`static String` `CONNECT_USER` connection username
`static String` `ENABLE_AUTO_COMMIT` auto commit default is true then the commitCallback function will be called after 5 seconds
`static String` `GROUP_ID`
`static int` `INVALID_OFFSET`
`protected static Set<String>` `knownKeys`
`static String` `MSG_ENABLE_BATCH_META`
`static String` `MSG_WITH_TABLE_NAME` whether poll result include table name.
`static String` `VALUE_DESERIALIZER` deserializer Bean
`static String` `VALUE_DESERIALIZER_ENCODING` encode for deserializer String value

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### knownKeys

    protected static final Set<String> knownKeys

#### GROUP_ID

    public static final String GROUP_ID

See Also:
  Constant Field Values

#### CLIENT_ID

    public static final String CLIENT_ID

See Also:
  Constant Field Values

#### ENABLE_AUTO_COMMIT

    public static final String ENABLE_AUTO_COMMIT

auto commit default is true then the commitCallback function will be called after 5 seconds

See Also:
  Constant Field Values

#### AUTO_COMMIT_INTERVAL

    public static final String AUTO_COMMIT_INTERVAL

commit interval. unit milliseconds

See Also:
  Constant Field Values

#### AUTO_OFFSET_RESET

    public static final String AUTO_OFFSET_RESET

only valid in first group id create.

See Also:
  Constant Field Values

#### MSG_WITH_TABLE_NAME

    public static final String MSG_WITH_TABLE_NAME

whether poll result include table name. suggest always true

See Also:
  Constant Field Values

#### BOOTSTRAP_SERVERS

    public static final String BOOTSTRAP_SERVERS

indicate host and port of connection

See Also:
  Constant Field Values

#### VALUE_DESERIALIZER

    public static final String VALUE_DESERIALIZER

deserializer Bean

See Also:
  Constant Field Values

#### VALUE_DESERIALIZER_ENCODING

    public static final String VALUE_DESERIALIZER_ENCODING

encode for deserializer String value

See Also:
  Constant Field Values

#### CONNECT_IP

    public static final String CONNECT_IP

connection ip

See Also:
  Constant Field Values

#### CONNECT_PORT

    public static final String CONNECT_PORT

connection port

See Also:
  Constant Field Values

#### CONNECT_USER

    public static final String CONNECT_USER

connection username

See Also:
  Constant Field Values

#### CONNECT_PASS

    public static final String CONNECT_PASS

connection password

See Also:
  Constant Field Values

#### CONNECT_TYPE

    public static final String CONNECT_TYPE

connect type websocket or jni, default is jni

See Also:
  Constant Field Values

#### MSG_ENABLE_BATCH_META

    public static final String MSG_ENABLE_BATCH_META

See Also:
  Constant Field Values

#### CONNECT_TOKEN

    public static final String CONNECT_TOKEN

Key used to retrieve the token value from the properties instance passed to the driver. Just for Cloud Service

See Also:
  Constant Field Values

#### CONNECT_URL

    public static final String CONNECT_URL

Key used to retrieve the token value from the properties instance passed to the driver. Just for Cloud Service

See Also:
  Constant Field Values

#### CONNECT_USE_SSL

    public static final String CONNECT_USE_SSL

Use SSL (true/false) to communicate with the server. The default value is false. Just for Cloud Service

See Also:
  Constant Field Values

#### CONNECT_TIMEOUT

    public static final String CONNECT_TIMEOUT

the timeout in milliseconds until a connection is established. zero is interpreted as an infinite timeout. only valid in websocket

See Also:
  Constant Field Values

#### CONNECT_MESSAGE_TIMEOUT

    public static final String CONNECT_MESSAGE_TIMEOUT

message receive from server timeout. ms. only valid in websocket

See Also:
  Constant Field Values

#### CONNECT_MAX_REQUEST

    public static final String CONNECT_MAX_REQUEST

the maximum number of request in a single connection. only valid in websocket

See Also:
  Constant Field Values

#### INVALID_OFFSET

    public static final int INVALID_OFFSET

See Also:
  Constant Field Values